Subject: Re: Update readelf to know about the new ELF constants

From: Nick Clifton <[email-masked]>
Date: Tue, 28 Nov 2000 12:48:20 -0800

Hi Ralf,
 
: >      EM_MIPS_RS3_LE    10		MIPS RS3000 Little-endian
: 
: I don't know where you got this constant's name from, it's name is
: EM_MIPS_RS4_BE (MIPS R4000 big endian) in all literature and header files
: I've seen.  RS3000 series from MIPS was a workstation series of the former
: Mips Computer Systems, Inc.  not a processor.
: 
: The constant is probably no longer in use - if it ever has been. it's only
: use I've ever seen is in tools that read ELF but never in tools that write
: ELF or in existing ELF files.

Just to add a note that in the sources the entry actually looks like
this:

#define EM_MIPS_RS4_BE 10	/* MIPS R4000 big-endian */ /* Depreciated */
#define EM_MIPS_RS3_LE 10	/* MIPS R3000 little-endian (Oct 4 1999 Draft)*/ /* Depreciated */

Cheers
	Nick